## com.mysql.jdbc
Class DatabaseMetaData.IteratorWithCleanup<T>

    java.lang.Object
      com.mysql.jdbc.DatabaseMetaData.IteratorWithCleanup<T>

Direct Known Subclasses:
  DatabaseMetaData.ResultSetIterator, DatabaseMetaData.SingleStringIterator

Enclosing class:
  DatabaseMetaData

    protected abstract class DatabaseMetaData.IteratorWithCleanup<T>

extends java.lang.Object

Constructor Summary
`protected` `DatabaseMetaData.IteratorWithCleanup()`

Method Summary
`(package private) abstract void` `close()`
`(package private) abstract boolean` `hasNext()`
`(package private) abstract T` `next()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseMetaData.IteratorWithCleanup

    protected DatabaseMetaData.IteratorWithCleanup()

Method Detail

### close

    abstract void close()
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### hasNext

    abstract boolean hasNext()
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### next

    abstract T next()
             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`